
    <div class="pt-3 pb-1" id="breadcrumbs-wrapper">
      <!-- Search for small screen-->
      <div class="container">
        <div class="row">
          <div class="col s12 m6 l6">
            <h5 class="breadcrumbs-title mt-0 mb-0"><span>Gestion des Utilisateurs</span></h5>
          </div>
          <div class="col s12 m6 l6 right-align-md">
            <ol class="breadcrumbs mb-0">
              <li class="breadcrumb-item"><a [routerLink]="['/DashbordCompte']">Accueil</a>
              </li>
              <li class="breadcrumb-item">Gestion des Comptes
              </li>
              <li class="breadcrumb-item active">Gestion des Utilisateurs
              </li>
            </ol>
          </div>
        </div>
      </div>
    </div>
    
        <div class="section section-data-tables">

<!-- Page Length Options -->
<div class="row">
<div class="col s12">
  <div class="card">
    <div class="card-content">
     <a class=" modal-trigger" href="#modal1">
     <button class="btn cyan waves-effect waves-light right" type="submit" name="action">Ajouter
        <i class="material-icons right">add</i>
      </button>
      </a>
      <h4 class="card-title">Liste des Utilisateurs</h4>

     
    
      <br/>
      <div class="row">
        <div class="col s12">
          <table id="page-length-option" class="display">
            <thead>
              <tr>
                
                <th>Nom d'utilisateur</th>
                <th>Email</th>
                <th>Etat</th>
                <th>Action</th>

            
              </tr>
            </thead>
            <tbody>

              <tr *ngFor="let u of users; index as i;">
                

               
                <td>{{u.username}}</td>
                <td>{{u.email}}</td>
                <td>
                  <div *ngIf="u.active == null ; else elseBlock">
                    <div class="chip gradient-45deg-purple-deep-orange gradient-shadow white-text">
                      Désactiver
                    </div>
                    
                   
                  
                  </div>
                  <ng-template #elseBlock>
                    <div class="chip cyan white-text z-depth-4">
                      Activer
                  </div>
                    
                  </ng-template>

                </td>
                
                  <td> 

                    <a class='dropdown-trigger' href='#' [attr.data-target]="'dropdown' + i">
                      <i class="material-icons">arrow_drop_down</i>
                    </a>
                    <ul id='dropdown{{i}}' class='dropdown-content' >
                    <li><a  class="modal-trigger" (click)="delete(u.id)">Supprime</a> </li>
                    <li *ngIf="u.active == null"><a class="modal-trigger" (click)="active(u,u.id)" >active</a> </li>
                    <li *ngIf="!(u.active == null)"><a class="modal-trigger" (click)="desactive(u,u.id)" >desactive</a> </li>

                    </ul>

                     
                            
                 

                  
                 
                  


                </td>

             
                

            </tr>

            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</div>
</div>

<div id="modal1" class="modal">
  <form class="login-form" #f="ngForm" (ngSubmit)="save(f.value)" >
    <div class="modal-content">
 <h6>Ajouter un utilisateur</h6>

 <div class="card-alert card gradient-45deg-amber-amber"  *ngIf="f.submitted && IsFormNonValid">
  <div class="card-content white-text">
    <p>
      <i class="material-icons">warning</i>Username ou Émail déjà utilise</p>
  </div>
  <button type="button" class="close white-text" data-dismiss="alert" aria-label="Close">
    <span aria-hidden="true">×</span>
  </button>
</div>

  <div class="row">
    <div class="input-field col m6 s12">
      <input type="text" class="validate" name="username" #username="ngModel" [(ngModel)]="employe.username" required >
      <small  class="errorTxt1" *ngIf="username.touched  &&  username.invalid" ><div id="uname-error" class="error">saisir votre nom d'utilisateur</div></small>

      <label for="utilisateur">Nom d'utilisateur*</label>
    </div>
    <div class="input-field col m6 s12">
      <input type="email" class="validate" name="email" #email="ngModel" [(ngModel)]="employe.email" required >
      <small  class="errorTxt1" *ngIf="email.touched  &&  email.invalid" ><div id="uname-error" class="error">saisir votre email</div></small>

      <label for="email">email*</label>
    </div>
    
  </div>
  <div class="row">
    <div class="input-field col m12 s12">
      <input type="password" class="validate" name="password" #password="ngModel" [(ngModel)]="employe.password" required >
      <small  class="errorTxt1" *ngIf="password.touched  &&  password.invalid" ><div id="uname-error" class="error">saisir votre mot de passe</div></small>

      <label for="password">Password*</label>
    </div>
    <div class="input-field col m12 s12">
      <input type="hidden" name="AgenceId" #name="ngModel" [(ngModel)]="employe.AgenceId" value="{{agence}}" >
    </div>

    <div class="modal-footer">
        <button [disabled]="f.invalid" class="btn cyan waves-effect waves-light right" type="submit" name="action" style="margin-right: 15px;">Ajouter
           <i class="material-icons right">send</i>
         </button>
     </div>
     
    
  </div>


</div>

</form>
</div>
  
</div>

    
  <!-- START RIGHT SIDEBAR NAV -->

  